%define bname gstreamer0.10
%define name %bname-ffmpeg
%define oname gst-ffmpeg
%define version 0.10.13
%define release %mkrel 14
%define gstver 0.10.22

Summary: Gstreamer plugin for ffmpeg codecs and (de)muxers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://gstreamer.freedesktop.org/src/gst-ffmpeg/%{oname}-%{version}.tar.bz2
# (cjw) fix build with ffmpeg 1.0
#       not (yet) ported:
#         - "palette" support
#         - some encoder options that were global in ffmpeg but are now private
Patch1: gst-ffmpeg-0.10.13-ffmpeg-1.0.patch
# (cjw) don't halt the build for 15s just to show a silly "warning"
Patch2: gst-ffmpeg-nosleep.patch
Patch3: gst-ffmpeg-0.10.13-automake-1.13.patch
# (cjw) ffmpeg 1.1 only supports planar pcm data for some audio codecs
Patch4: gst-ffmpeg-0.10.13-planar-audio.patch
Patch5: gst-ffmpeg-0.10.13-ffmpeg-2.0.patch
License: GPLv2+
Group: System/Libraries
URL: http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
BuildRequires: libgstreamer-plugins-base-devel >= %gstver
BuildRequires: liborc-devel >= 0.4.5
BuildRequires: freetype2-devel
BuildRequires: libcheck-devel
Buildrequires: yasm
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: libbzip2-devel
BuildRequires: ffmpeg-devel

%description
This plugin provides audio and video codecs as well as muxers and 
demuxers for multimedia file formats from ffmpeg to GStreamer.

%prep
%setup -q -n %oname-%version
%apply_patches

rm -fr gst-libs/ext/libav
mkdir gst-libs/ext/libav
touch gst-libs/ext/libav/configure

%build
%define _disable_ld_no_undefined 1
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

# gst-ffmpeg mp3 decoder has issues (eg no seeking support), disable it since
# gst-plugins-bad and gst-fluendo both ship better mp3 decoders
%configure2_5x \
  --with-package-name='%{distribution} %name package' \
  --with-package-origin='http://www.mageia.org/' \
  --with-system-ffmpeg

%make

%check
cd tests/check
#gw fails in iurt
#make check

%install
%makeinstall_std
rm -f %buildroot%_libdir/gstreamer*/*a

%files
%doc README NEWS TODO ChangeLog AUTHORS 
%_libdir/gstreamer-0.10/libgstffmpeg.so
%_libdir/gstreamer-0.10/libgstffmpegscale.so
%_libdir/gstreamer-0.10/libgstpostproc.so


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.10.13-14.mga4
+ Revision: 529976
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 fwang <fwang> 0.10.13-13.mga4
+ Revision: 454533
+ rebuild (emptylog)

* Mon Jul 15 2013 fwang <fwang> 0.10.13-12.mga4
+ Revision: 454524
- fix undefined symbols

* Mon Jul 15 2013 fwang <fwang> 0.10.13-11.mga4
+ Revision: 454519
- fix patch
- patch on ffmpeg 2.0

* Tue Feb 12 2013 cjw <cjw> 0.10.13-11.mga3
+ Revision: 397947
- fix memory leak in patch4

* Mon Feb 11 2013 cjw <cjw> 0.10.13-10.mga3
+ Revision: 397919
- patch4: crummy fix for some ffmpeg audio codecs now only decoding to planar pcm

* Sat Jan 12 2013 umeabot <umeabot> 0.10.13-9.mga3
+ Revision: 352733
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 0.10.13-8.mga3
+ Revision: 341623
- rebuild for new ffmpeg

* Fri Jan 04 2013 cjw <cjw> 0.10.13-7.mga3
+ Revision: 338642
- patch3: fix build with automake 1.13

* Sun Dec 02 2012 cjw <cjw> 0.10.13-6.mga3
+ Revision: 325686
- fix rpm group
- build against system ffmpeg libraries
- patch1: fix build with ffmpeg 1.0
- patch2: do not halt build for 15s for a silly "warning" msg
- improve description and summary

  + fwang <fwang>
    - update url

* Sat Sep 01 2012 fwang <fwang> 0.10.13-5.mga3
+ Revision: 286909
- update bundled gstreamer to 0.7.13

  + ovitters <ovitters>
    - use internal ffmpeg as external does not build
    - rebuild due to new ffmpeg
    - rebuild due to new ffmpeg

  + tv <tv>
    - rebuild for new libav*

* Fri Jan 27 2012 fwang <fwang> 0.10.13-3.mga2
+ Revision: 202152
- rebuild for new ffmpeg

* Mon Jan 16 2012 anssi <anssi> 0.10.13-2.mga2
+ Revision: 196824
- build against system FFmpeg (the issues previously encountered with it
  have been fixed)
- drop enable-mpegts.patch, gst-plugins-bad now has a working mpegts
  demuxer

* Sat Dec 03 2011 shlomif <shlomif> 0.10.13-1.mga2
+ Revision: 175573
- New version - 0.10.13

  + fwang <fwang>
    - br yasm
    - new version 0.10.12

* Sun Jan 16 2011 ahmad <ahmad> 0.10.11-3.mga1
+ Revision: 20342
- adapt configure options to Mageia
- imported package gstreamer0.10-ffmpeg


* Fri Nov 05 2010 Funda Wang <fwang@mandriva.org> 0.10.11-2mdv2011.0
+ Revision: 593556
- rebuild for gstreamer provides

* Thu Jul 15 2010 Götz Waschk <waschk@mandriva.org> 0.10.11-1mdv2011.0
+ Revision: 553768
- new version
- bump gstreamer dep
- replace dep on liboil by orc

* Wed Jun 16 2010 Frederic Crozat <fcrozat@mandriva.com> 0.10.10-2mdv2010.1
+ Revision: 548144
- Disable asf demuxer, it doesn't work, unlike the one in gst-plugins-ugly

* Sun Mar 07 2010 Götz Waschk <waschk@mandriva.org> 0.10.10-1mdv2010.1
+ Revision: 515548
- update to new version 0.10.10

* Tue Feb 23 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.10.9-2mdv2010.1
+ Revision: 510211
- disable mp3 plugin
  This plugin is a bit broken (doesn't support seeking) and is redundant with
  the plugin from gstreamer-plugins-ugly and what is shipped by codeina

* Mon Oct 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.9-1mdv2010.0
+ Revision: 454214
- new version

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 0.10.8-2mdv2010.0
+ Revision: 448985
- disable valgrind on mips & arm (from Arnaud Patard)

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 0.10.8-1mdv2010.0
+ Revision: 390848
- new version
- disable --no-undefined to fix build

* Sat Mar 21 2009 Götz Waschk <waschk@mandriva.org> 0.10.7-1mdv2009.1
+ Revision: 359799
- new version
- drop patches 1,2

* Thu Mar 05 2009 Götz Waschk <waschk@mandriva.org> 0.10.6-2mdv2009.1
+ Revision: 348833
- fix crash with aac audio (bug #48032)
- fix format string

* Sat Nov 29 2008 Götz Waschk <waschk@mandriva.org> 0.10.6-1mdv2009.1
+ Revision: 307977
- new version
- update file list
- drop old patch

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 0.10.5-2mdv2009.0
+ Revision: 282040
- rebuild

  + Frederik Himpe <fhimpe@mandriva.org>
    - Fix BuildRequires (configure script requests libbzip2-devel)
    - Update to new version 0.10.5
    - Remove plugin doc files which don't exist anymore

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.10.4-2mdv2009.0
+ Revision: 264629
- rebuild early 2009.0 package (before pixel changes)

* Fri May 23 2008 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2009.0
+ Revision: 210275
- new version
- update patch 0
- drop patch 1

* Thu Mar 13 2008 Götz Waschk <waschk@mandriva.org> 0.10.3-4mdv2008.1
+ Revision: 187334
- add Mandriva branding

  + Anssi Hannula <anssi@mandriva.org>
    - add build switch for building with external ffmpeg, disabled because
      by default because of issues

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Anssi Hannula <anssi@mandriva.org> 0.10.3-3mdv2008.1
+ Revision: 140164
- enable ffmpeg-powered MPEG TS demuxer until there is a fully working
  alternative (http://bugzilla.gnome.org/show_bug.cgi?id=347342)

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.10.3-2mdv2008.1
+ Revision: 115833
- fix buildrequires
- new version

* Sun Nov 04 2007 Adam Williamson <awilliamson@mandriva.org> 0.10.2-2mdv2008.1
+ Revision: 105674
- new license policy
- rebuild for 2008.1


* Thu Dec 14 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.0
+ Revision: 97008
- Import gstreamer0.10-ffmpeg

* Thu Dec 14 2006 Gtz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.1
- fix buildrequires
- add docs
- add support for tests
- update file list
- New version 0.10.2

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- Rebuild

* Tue Apr 04 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdk
- drop patch
- New release 0.10.1

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-2mdk
- patch for CVE-2005-4048

* Tue Dec 06 2005 Gtz Waschk <waschk@mandriva.org> 0.10.0-1mdk
- New release 0.10.0
- bump deps

* Fri Oct 28 2005 Gtz Waschk <waschk@mandriva.org> 0.8.7-1mdk
- New release 0.8.7

* Mon Aug 08 2005 Götz Waschk <waschk@mandriva.org> 0.8.6-1mdk
- update file list
- remove gcc workaround
- New release 0.8.6

* Fri Jun 17 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-2mdk
- replace prereq by current syntax
- fix buildrequires

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 0.8.5-1mdk
- ugly workaround for bug 16170
- New release 0.8.5

* Mon Mar 14 2005 Götz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- New release 0.8.4

* Mon Dec 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.3-1mdk
- New release 0.8.3

* Mon Oct 11 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- New release 0.8.2

* Fri Oct 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1.2-1mdk
- new version

* Sat Jul 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- reenable libtoolize
- add source URL
- New release 0.8.1

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- prerequires gstreamer08-tools for the post script
- add post installation script
- fix doc listing

* Thu Apr 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- initial package

